<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">

<head>
  
  <!--  
    Acta theme designed and built by Derek Webb of http://CollectiveColors.com
    Please see me if you would like to have modifications made to your website.

    Email me at: derek(at)collectivecolors(dot)com
    
    Note: acta is latin for beach!
  //-->

  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>

  
  <!--[if lt IE 7]>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
  <script defer type="text/javascript" src="/themes/acta/pngfix.js"></script>
  <![endif]-->


</head>

<body>
  <!-- [ Header area containing logo, site name and slogan, search box, and primary links ] -->  
  <div id='header' class='clear-block'>
    <div id='header-logo'>
      <?php if ($logo) { ?><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" class='logo-img' /></a><?php } ?>
    </div>
    
    <div id='site-info'>  
      <?php if ($site_name) { ?><span class='site-name'><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></span><?php } ?>
      <?php if ($site_slogan) { ?>&nbsp;<span class='site-slogan'><?php print $site_slogan ?></span><?php } ?>
    </div>
    
    <?php if($search_box) { ?>
      <div id='search-box'>
        <?php print $search_box ?>
      </div>
    <?php } ?>
    
    <?php if(!empty($primary_links)) { ?>
      <div id='primary-links'>
        <?php print theme('links', $primary_links, array('class' =>'links', 'id' => 'navlist')) ?>
      </div>
    <?php } ?>
  </div>
  <!-- [ End header area ] -->
  
  <div id='main' class='clear-block'>         <!-- [ holds blue bordered tile ] -->
  <div id='main-top' class='clear-block'>     <!-- [ holds top background with blue borders and sandy gradient ] -->
      
      <!-- [ Check for secondary links ] -->
      <?php if(!empty($secondary_links)) { ?>
        <div id='secondary-links'>
          <?php print theme('links', $secondary_links, array('class' =>'links', 'id' => 'subnavlist')) ?>
        </div>
      <?php } else { ?>
        <div id='secondary-space'></div>
      <?php } ?>            
      
      <!-- [ Content area ] -->
      
      <!-- [ Check for sidebar - we handle the content section differently if there is none ] -->
      <?php if (!empty($sidebar)) { ?>
        <div id='content'>
      <?php } else { ?>
        <div id='content-nosb'>
      <?php } ?>
      
      <?php if ($mission) { ?><div id="mission"><?php print check_plain($mission) ?></div><?php } ?>
      <?php if ($breadcrumb) { ?><div id='bc'><?php print $breadcrumb ?></div><?php } ?>
            
      <h1 class="page-title"><?php print $title ?></h1>
      <div class="tabs-div"><?php print $tabs ?></div>
      
      <?php print $help ?>
      <?php print $messages ?>
          
      <!-- [ Content inner div allows padding without disrupting the containing floating div (content) ] -->
      <div class='content-inner'>
       
      <!-- [ Begin Content ] -->
      <?php print $content; ?>
      <!-- [ End Content ] -->
        
      <?php if ($body) { ?>
        <div id='body-blocks'>
          <?php print $body ?>
        </div>
      <?php } ?>
        
      </div>
      
      <?php print $feed_icons; ?>
    
    <!-- [ End #content or #content-nosb - from line 56 ] -->  
    </div>
    
    <!-- [ Sidebar area ] -->
    <?php if ($sidebar) { ?>
      <div id='sidebar'>
        <!-- [ Sidebar inner div allows padding without disrupting the containing floating div (content) ] -->
        <div id='sidebar-inner'>
          <?php print $sidebar ?>
        </div>
      </div>
    <?php } ?>
    
  <!-- [ End #main, #main-top, and #main-bottom ] -->  
  </div></div>
  

  <!-- [ Footer area ] -->
  <div id='footer' class='clear-block'>
    <div id='footer-bottom' class='clear-block'>
      <?php print $footer_message ?>
    </div>
  </div>
  
</body>
</html>



